com.smartgwt.client.types

## Enum RelativeDateRangePosition

- java.lang.Object
- - java.lang.Enum<RelativeDateRangePosition>
  - - com.smartgwt.client.types.RelativeDateRangePosition

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<RelativeDateRangePosition>

      public enum RelativeDateRangePosition
      extends java.lang.Enum<RelativeDateRangePosition>
      implements ValueEnum

  When relative dates are specified in a date range, typically in a RelativeDateItem or DateRangeItem, in order to make the range inclusive or exclusive, it is useful to be able to specify whether we're referring to the start or end of the date in question.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END` Indicates this relative date should be treated as the end of the specified logical date.
    `START` Indicates this relative date should be treated as the start of the specified logical date.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static RelativeDateRangePosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RelativeDateRangePosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final RelativeDateRangePosition START

      Indicates this relative date should be treated as the start of the specified logical date.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "start".

    - #### END

          public static final RelativeDateRangePosition END

      Indicates this relative date should be treated as the end of the specified logical date.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "end".

  - ### Method Detail

    - #### values

          public static RelativeDateRangePosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelativeDateRangePosition c : RelativeDateRangePosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelativeDateRangePosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`